import * as plugins from '../plugins.js';
import * as userInterfaces from '../data/user.js';

export interface IReq_Admin_LoginWithUsernameAndPassword extends plugins.typedrequestInterfaces.implementsTR<
  plugins.typedrequestInterfaces.ITypedRequest,
  IReq_Admin_LoginWithUsernameAndPassword
> {
  method: 'adminLoginWithUsernameAndPassword';
  request: {
    username: string;
    password: string;
  };
  response: {
    identity: userInterfaces.IIdentity;
  }
}